import { t } from 'element-ui-qz/src/locale';

export default {
  methods: {
    t(...args) {
      return t.apply(this, args);
    },
    translate(json = {}) {
      const lang = localStorage.getItem('qzLang');
      if (lang) {
        const value = lang.replace(/-/g, '_').toLowerCase();
        return json[value];
      }
      return '';
    }
  }
};
